import * as React from 'react';
import { SelectArrayInput } from 'react-admin';
import request from '@/utils/request'

const RolesSelect = (props) => {
    const [arr, setArr] = React.useState([]);

    React.useEffect(() => {
        request.post('/role/list', {}).then(res => {
            if (res?.data?.code === 200) {
                setArr(res.data.data.map(item => {
                    return {
                        id: item.id,
                        name: item.name
                    }
                }))
            }
        })
    }, [])

    return (
        <SelectArrayInput
            {...props}
            choices={arr}
        />
    )
};

export default RolesSelect;
